using UnityEngine;
using Script.Gameplay.Player;
using System.Collections.Generic;
using Script.Gameplay.Facility;

namespace Script.Gameplay.Interface
{
    public interface IEditable
    {
        void OnGazeEnter(PlayerEditController editor); // 玩家开始注视时触发
        void OnGazeExit(PlayerEditController editor); // 玩家停止注视时触发
        void BeginEdit();
        void EndEdit();
        List<IEditableComponent> GetEditableComponents();
    }
}